Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159580 - non utf-8 changelog
Summary: non utf-8 changelog
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-05 06:14 UTC by Florian La Roche
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-21 16:42:09 UTC


Attachments (Terms of Use)

Description Florian La Roche 2005-06-05 06:14:27 UTC
Description of problem:
The changelog of this package (in the .spec file) has content
not in utf-8 format.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Veillard 2005-06-05 08:31:08 UTC
The ChangeLog has 7 years of history. It was never assumed to be UTF-8
or even to be in a single encoding. What leads you to believe it would
be that way ? 
I hardly see that as a bug, rather an historical fact.

Daniel

Comment 2 Florian La Roche 2005-06-09 10:29:30 UTC
Why not convert it to utf-8, in vi you can do ":w ++enc=utf-8" to get it
changed over.


Comment 3 Daniel Veillard 2005-06-09 10:57:50 UTC
You're assuming a single encoding in the file. Suppose I do this, someone else
commit with an accent -> 2 encoding in the files and then it's unrecoverable
automatically.
Sounds more dangerous than useful. If text files had metadata indicating their
encoding like XML files this would work, but this is not the case, the tools used
to edit them can't guess the encoding, so you have no garantee of maintainability
of that property. 
I think you must drop your UTF-8 assumption when file format don't have metadata 
indicating their encoding. This just doesn't work.

Daniel

Comment 4 Daniel Veillard 2005-10-21 16:42:09 UTC
I think we will stay with the status-quo upstream, sorry :-)

Daniel


Note You need to log in before you can comment on or make changes to this bug.